@ECHO OFF&PUSHD %~DP0 &TITLE 绿化和选项
mode con cols=36 lines=20
color 2F
Rd "%WinDir%\system32\test_permissions" >NUL 2>NUL
Md "%WinDir%\System32\test_permissions" 2>NUL||(Echo 请使用右键管理员身份运行！&&PAUSE >NUL&&EXIT)
Rd "%WinDir%\System32\test_permissions" 2>NUL
SetLocal EnableDelayedExpansion
:Menu
Cls
@ echo.
@ echo.　　　　　 菜 单 选 项
@ echo.
@ echo.     绿化[必须] → 请输入1
@ echo.
@ echo.     创建桌面图标 → 请输入2
@ echo.
@ echo.     设为默认音乐播放器 → 请输入3
@ echo.
@ echo.     卸载 → 请输入4
@ echo.
set /p xj= 输入数字按回车：
if /i "%xj%"=="1" Goto Install
if /i "%xj%"=="2" Goto Establish
if /i "%xj%"=="3" Goto Give
if /i "%xj%"=="4" Goto Uninstall
@ echo.
echo      选择无效，请重新输入
ping -n 2 127.1>nul 
goto menu
:Install
@ echo.
ECHO 　　　正在安装中..请稍等..
taskkill /f /im KuGou*>NUL 2>NUL
taskkill /f /im Kadb* >NUL 2>NUL
taskkill /f /im KGUp*>NUL 2>NUL
taskkill /f /im New_KuGou*  >NUL 2>NUL
rd/s/q "%AppData%\KuGou8\Upgrade"    2>NUL
rd/s/q "%AppData%\KuGou8\Up"    2>NUL
rd/s/q "%AppData%\KuGou8\UpTemp"2>NUL
rd/s/q "%AppData%\KuGou8\Mobile"2>NUL
rd/s/q "%AppData%\KuGou8\AddIns"2>NUL
rd/s/q "%AppData%\KuGou8\AppStore"2>NUL
rd/s/q "%AppData%\KuGou8\SkinPic"2>NUL
rd/s/q "%AppData%\KuGou8\suitskin"2>NUL
rd/s/q "%AppData%\KuGou8\WebCache"2>NUL
rd/s/q "%AppData%\KuGou8\CefCache"2>NUL
rd/s/q "%AppData%\KuGou8\SingerImg"2>NUL
del /q "%AppData%\KuGou8\*.dmp">NUL 2>NUL
del /q "%AppData%\KuGou8\*.bak">NUL 2>NUL
del /q "%AppData%\KuGou8\Upgrade.ini">NUL 2>NUL
del /q "%AppData%\KuGou8\SingerImg">NUL 2>NUL
rd/s/q "%AppData%\KuGou8\FanxingAvatarRes"2>NUL
rd/s/q "%AppData%\KuGou8\WebStorage"2>NUL
del/f "%AppData%\KuGou8\kugou.ini">NUL 2>NUL
del/f "%tmp%\sadu.exe">NUL 2>NUL
del/f "%tmp%\KGUpdater.exe">NUL 2>NUL
del/f/q "%tmp%\NewUpKuGoo.exe">NUL 2>NUL
if not exist "%AppData%\KuGou8" md "%AppData%\KuGou8"2>NUL
xcopy /e/i/y ini\AppStore "%AppData%\KuGou8\AppStore">NUL 2>NUL
xcopy /e/i/y ini\KuGou8 "%AppData%\KuGou8">NUL 2>NUL
goto Install2
:Establish
mshta VBScript:Execute("Set a=CreateObject(""WScript.Shell""):Set b=a.CreateShortcut(a.SpecialFolders(""Desktop"") & ""\酷狗音乐.lnk""):b.TargetPath=""%~dp0KuGou.exe"":b.WorkingDirectory=""%~dp0"":b.Save:close")
goto fanhui
:Give
KuGou.exe -DoAssoc
goto fanhui
:Uninstall
@ echo.
echo 　　　正在卸载中..请稍等..
taskkill /f /im KuGou*>NUL 2>NUL
taskkill /f /im Kadb* >NUL 2>NUL
taskkill /f /im KGUp*>NUL 2>NUL
rd /s /q "%AppData%\KuGou8" 2>NUL
rd /s /q "%AppData%\KGDataBak"2>NUL
KuGou.exe -CancelAssoc
rd /s /q "%AppData%\KugooRadio"2>NUL
reg delete HKCU\Software\KuGou8 /F>NUL2>NUL
reg delete HKLM\Software\KuGou8 /F>NUL 2>NUL
reg delete HKLM\Software\Wow6432Node\KuGou8 /F>NUL 2>NUL
del "%tmp%\Start*">NUL 2>NUL&del "%tmp%\Http*">NUL 2>NUL
rd/s/q "%AppData%\KUGOU8"2>NUL
del /f /q "%userprofile%"\Desktop\酷狗音乐.lnk
del /q "%userprofile%\桌面\酷狗音乐.lnk" >NUL 2>NUL
goto Uninstall2
:fanhui
@ ECHO.
ECHO 　　　设置完成..
goto menu
:Install2
@ ECHO.
ECHO 　　　安装完成..
goto menu
:Uninstall2
@ ECHO.
ECHO 　　　卸载完成..
goto menu
